Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.rmi
Class Naming

    java.lang.Object
      weblogic.rmi.Naming

public final class Naming
extends Object

The Naming class is supported by WebLogic Server but BEA Systems, Inc. recommends using JNDI -- `javax.naming.InitialContext`.

In WebLogic RMI, Naming is an extension of JNDI. Security, privacy, and permissions are determined by the properties defined for JNDI and the ACLs set on the objects on which Naming operates.

JNDI and ACL access are provided based on defaults and settings drawn from your configuration. The default user is `guest` with no password and no access restrictions. The default URL is for the host in `localhost` and the port number is 7001.

If you use a URL, you may specify any of the following protocols:

- RMI
- T3
- T3S
- HTTP
- HTTPS

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `RMI_NAMING_JNDI_HOME`
`static String` | `RMI_NAMING_JNDI_PATH`

Method Summary
`static void` | `bind(String name, Remote impl)`
`static void` | `bindJava(String name, Remote impl)`
`static String[]` | `list(String name)`
`static Remote` | `lookup(String name)`
`static void` | `rebind(String name, Remote obj)`
`static void` | `rebindJava(String name, Remote obj)`
`static void` | `unbind(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RMI_NAMING_JNDI_HOME

    public static final String RMI_NAMING_JNDI_HOME

See Also:
  Constant Field Values

### RMI_NAMING_JNDI_PATH

    public static final String RMI_NAMING_JNDI_PATH

See Also:
  Constant Field Values

Method Detail

### bind

    public static void bind(String name,
                            Remote impl)
                     throws AlreadyBoundException,
                            MalformedURLException,
                            UnknownHostException,
                            RemoteException

  Throws:
    `AlreadyBoundException` - if there is an error
    `MalformedURLException` - if there is an error
    `UnknownHostException` - if there is an error
    `RemoteException` - if there is an error
  See Also:
    `Context.bind(java.lang.String, java.lang.Object)`

### bindJava

    public static void bindJava(String name,
                                Remote impl)
                         throws AlreadyBoundException,
                                MalformedURLException,
                                UnknownHostException,
                                RemoteException

  Throws:
    `AlreadyBoundException`
    `MalformedURLException`
    `UnknownHostException`
    `RemoteException`

### list

    public static String[] list(String name)
                         throws MalformedURLException,
                                UnknownHostException,
                                RemoteException

  Throws:
    `MalformedURLException` - if there is an error
    `UnknownHostException` - if there is an error
    `RemoteException` - if there is an error
  See Also:
    `Context.list(java.lang.String)`

### lookup

    public static Remote lookup(String name)
                         throws NotBoundException,
                                MalformedURLException,
                                UnknownHostException,
                                RemoteException

  Throws:
    `NotBoundException` - if there is an error
    `MalformedURLException` - if there is an error
    `UnknownHostException` - if there is an error
    `RemoteException` - if there is an error
  See Also:
    `Context.lookup(java.lang.String)`

### rebind

    public static void rebind(String name,
                              Remote obj)
                       throws MalformedURLException,
                              UnknownHostException,
                              RemoteException

  Throws:
    `MalformedURLException` - if there is an error
    `UnknownHostException` - if there is an error
    `RemoteException` - if there is an error
  See Also:
    `Context.rebind(java.lang.String, java.lang.Object)`

### rebindJava

    public static void rebindJava(String name,
                                  Remote obj)
                           throws MalformedURLException,
                                  UnknownHostException,
                                  RemoteException

  Throws:
    `MalformedURLException`
    `UnknownHostException`
    `RemoteException`

### unbind

    public static void unbind(String name)
                       throws NotBoundException,
                              MalformedURLException,
                              UnknownHostException,
                              RemoteException

  Throws:
    `NotBoundException` - if there is an error
    `MalformedURLException` - if there is an error
    `UnknownHostException` - if there is an error
    `RemoteException` - if there is an error
  See Also:
    `Context.unbind(java.lang.String name)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD